Package org.optaplanner.core.impl.score.stream.bavet

## Class BavetConstraintSessionFactory<Solution_,​Score_ extends Score<Score_>>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.BavetConstraintSessionFactory<Solution_,​Score_>

- All Implemented Interfaces:
    `ConstraintSessionFactory<Solution_,​Score_>`

      public final class BavetConstraintSessionFactory<Solution_,​Score_ extends Score<Score_>>
      extends Object
      implements ConstraintSessionFactory<Solution_,​Score_>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetConstraintSessionFactory​(SolutionDescriptor<Solution_> solutionDescriptor, List<BavetConstraint<Solution_>> constraintList)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConstraintSession<Solution_,​Score_>` | `buildSession​(boolean constraintMatchEnabled, Solution_ workingSolution)` | This method is thread-safe.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetConstraintSessionFactory

          public BavetConstraintSessionFactory​(SolutionDescriptor<Solution_> solutionDescriptor,
                                               List<BavetConstraint<Solution_>> constraintList)

  - ### Method Detail

    - #### buildSession

          public ConstraintSession<Solution_,​Score_> buildSession​(boolean constraintMatchEnabled,
                                                                        Solution_ workingSolution)

      Description copied from interface: `ConstraintSessionFactory`
      This method is thread-safe.
      Specified by:
        `buildSession` in interface `ConstraintSessionFactory<Solution_,​Score_ extends Score<Score_>>`
      Parameters:
        `constraintMatchEnabled` - true if `InnerScoreDirector.isConstraintMatchEnabled()` should be true
        `workingSolution` - if null, uniform synthetic constraint weights will be applied
      Returns:
        never null